FreeBSD : Ruby -- XSS exploit of RDoc documentation generated by rdoc (d3e96508-056b-4259-88ad-50dc8d1978a6)

This script is Copyright (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Ruby developers report :

RDoc documentation generated by rdoc bundled with ruby are vulnerable
to an XSS exploit. All ruby users are recommended to update ruby to
newer version which includes security-fixed RDoc. If you are
publishing RDoc documentation generated by rdoc, you are recommended
to apply a patch for the documentaion or re-generate it with
security-fixed RDoc.

See also :

http://www.nessus.org/u?bd3aedc9

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 64646 ()

Bugtraq ID:

CVE ID: CVE-2013-0256

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now